
#version 150

out vec4 out_Color;
in vec2 uv;
uniform sampler2D text;
uniform float visibility;

void main(void)
{
/*	vec4 g = vec4(0.0f,0.0f,0.0f,1.0f);
	for(int i=0;i<8;i++){
		g += texelFetch(text, ivec2(gl_FragCoord.xy), i);
	}
	g *= 0.125;*/
	
	vec4 g = texture(text, vec2(uv.x,1.f-uv.y));
	g *= visibility;
	out_Color = g*vec4(0.5f,0.5f,3.0f,1.0f);
}
